{# Templates/Help/help_diplo.html.twig #}

{% trans_default_domain 'Help' %}

{% extends 'Help/baseHelp.html.twig' %}

{% set isConnected = app.user != null %}
{% set isInGameAndAlive = false %}
{% if isConnected and app.user.lord != null %}
    {% set isInGameAndAlive = app.user.lord.isAlive %}
{% endif %}
{% if isInGameAndAlive %}
    {% set lordId = app.user.lord.id %}
{% endif %}

{% block helpPicture %}
    <img class="screen" src="{{ asset('img/loc/fr/diplo.jpg') }}">
{% endblock %}

{% block helpHeader %}
    {{ 'navigation.diplomacy' | trans }}
{% endblock %}

{% block helpContent %}
    <div class="content">
        <p>
            Il est possible via la fiche d'un joueur de régler les options de
            diplomatie. Tous les réglages sont résumés dans l'interface
            {#<a href="/?tab=diplo">Diplomatie</a>#}
            {% if isInGameAndAlive %}
                <a href="{{ path('app_management_management', {'id': lordId, tab: 'diplo'}) }}">Diplomatie</a>
            {% else %}
                <u>Diplomatie</u>
            {% endif %}
            de la section
            {#<a href="/">Gestion</a>.#}
            {% if isInGameAndAlive %}
                <a href="{{ path('app_management_management', {'id': lordId}) }}">{{ 'navbar.managament' | trans([], 'Common') }}</a>
            {% else %}
                <u>{{ 'navbar.managament' | trans([], 'Common') }}</u>
            {% endif %}

        </p>
        <p>
            <span class="i">Droit de passage</span> :
            vous autorisez les généraux de ce joueur à circuler librement au travers
            de votre royaume
        </p>
        <p>
            <span class="i">Accès aux ressources</span> :
            vous autorisez ce joueur à collecter les ressources rares présentes sur
            votre royaume, à condition que sa capitale soit <b>connectée</b> au lieu
            sur lequel les ressources sont récoltées.
        </p>
        <p>
            <span class="i">Ami et Ennemi</span> :
            vous pouvez désigner un joueur en tant qu'ami ou ennemi.
        </p>
        <ul>
            <li>être ami permettra à ce joueur de voir avec exactitude le compte de vos unités</li>
            <li>être ennemi fera que vos généraux attaqueront automatiquement un lieu faisant partie du royaume de ce joueur dès leur arrivée</li>
        </ul>
        <p>
            <span class="i">Mode stratégie</span> :
            il est possible en cliquant sur ce lien dans la carte d'afficher les
            royaumes de chaque joueur. Ces royaumes ne tiennent pas compte des
            royaumes des vassaux, mais vous permettent de bien localiser vos voisins
            ainsi que leur puissance.
        </p>
    </div>
{% endblock %}

{% block helpNavigation %}
    <div class="browse">
        <div class="prev">
            <a href="{{ path('app_help_gameover') }}"><span>Fin de partie</span> <img src="{{ asset('img/back.gif') }}" alt="previous"></a>
        </div>
        <div class="next">
            <a href="{{ path('app_help_advanced') }}"><span>Informations avancées</span> <img src="{{ asset('img/next.gif') }}" alt="next"></a>
        </div>
    </div>
{% endblock %}